import Api from '../axios'

const prefix = '/appshow/appshow/chartClass'

export default {

  /* 新建图表分类接口 */
  addChartClass(obj) {
    return Api.post(prefix + '/', obj)
  },
  /* 通过菜单名模糊搜索获取菜单树状展示 */
  getChartClassTree() {
    return Api.get(prefix + '/tree')
  },
  /* 通过分类编码获取图表分类信息 */
  getChartClassTreeByCode(obj) {
    let classCode = typeof obj === 'object' ? obj.classCode : "";
    return Api.get(prefix + '/' + classCode, obj)
  },
  /* 分类信息修改接口 */
  updateChartClass(obj) {
    let classCode = typeof obj === 'object' ? obj.classCode : "";
    return Api.put(prefix + '/' + classCode, obj)
  },
  /* 分类删除接口 */
  delChartClass(obj) {
    let classCode = typeof obj === 'object' ? obj.classCode : "";
    return Api.del(prefix + '/' + classCode, obj)
  }
}
